Bug 720498 - xine-lib: memory corruption vulnerability fixed in 1.1.19
Summary: xine-lib: memory corruption vulnerability fixed in 1.1.19
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100824,reported=20110512,sou...
Depends On: 720499 720500
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-11 20:17 UTC by Vincent Danen
Modified: 2019-06-08 18:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-10 22:33:20 UTC


Attachments (Terms of Use)

Description Vincent Danen 2011-07-11 20:17:49 UTC
A fairly vague report [1] indicates that xine-lib < 1.1.19 suffers from a memory corruption flaw because it would free a variable without first initializing it, leading to possible arbitrary code execution.

I have been unable to find any further information beyond a Gentoo bug report [2]; no CVE name or patch.

[1] http://labs.mwrinfosecurity.com/advisories/mwri_xine_free_uninit/
[2] https://bugs.gentoo.org/show_bug.cgi?id=346897

Fedora currently provides xine-lib 1.1.19, but EPEL5 and EPEL6 both provide older versions.

Comment 1 Vincent Danen 2011-07-11 20:20:04 UTC
Created xine-lib tracking bugs for this issue

Affects: epel-5 [bug 720499]
Affects: epel-6 [bug 720500]

Comment 2 Fedora Update System 2014-09-18 23:50:20 UTC
xine-lib-1.1.21-10.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2014-09-18 23:50:29 UTC
xine-lib-1.1.21-10.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.